net.sf.jasperreports.engine.export.ooxml

## Class DocxCellHelper

- java.lang.Object
- - net.sf.jasperreports.engine.export.ooxml.BaseHelper
  - - net.sf.jasperreports.engine.export.ooxml.DocxCellHelper

-     public class DocxCellHelper
      extends BaseHelper

  Version:
    $Id: DocxCellHelper.java 6422 2013-08-27 15:12:36Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper

      `jasperReportsContext, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocxCellHelper(JasperReportsContext jasperReportsContext, java.io.Writer writer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exportFooter()`
    `void` | `exportHeader(JRPrintElement element, JRExporterGridCell gridCell)`
    `void` | `exportProps(JRExporterGridCell gridCell)`
    `void` | `exportProps(JRPrintElement element, JRExporterGridCell gridCell)`
    `DocxBorderHelper` | `getBorderHelper()`
    `static java.lang.String` | `getVerticalAlignment(VerticalAlignEnum verticalAlignment)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper

      `close, flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocxCellHelper

          public DocxCellHelper(JasperReportsContext jasperReportsContext,
                        java.io.Writer writer)

  - ### Method Detail

    - #### getBorderHelper

          public DocxBorderHelper getBorderHelper()

    - #### exportHeader

          public void exportHeader(JRPrintElement element,
                          JRExporterGridCell gridCell)

    - #### exportFooter

          public void exportFooter()

    - #### exportProps

          public void exportProps(JRPrintElement element,
                         JRExporterGridCell gridCell)

    - #### exportProps

          public void exportProps(JRExporterGridCell gridCell)

    - #### getVerticalAlignment

          public static java.lang.String getVerticalAlignment(VerticalAlignEnum verticalAlignment)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com